Get a contain resource from the registry
curl --request GET \
--url https://api.{workspaceId}.clinia.cloud/sources/{sourceKey}/v1/resources/{resourceType}/{id}/{containKey}/{containedResourceId} \
--header 'X-Clinia-API-Key: <api-key>'import requests
url = "https://api.{workspaceId}.clinia.cloud/sources/{sourceKey}/v1/resources/{resourceType}/{id}/{containKey}/{containedResourceId}"
headers = {"X-Clinia-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Clinia-API-Key': '<api-key>'}};
fetch('https://api.{workspaceId}.clinia.cloud/sources/{sourceKey}/v1/resources/{resourceType}/{id}/{containKey}/{containedResourceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"type": "<string>",
"data": {},
"meta": {
"createdAt": "2023-11-07T05:31:56Z",
"identifier": [
{
"id": "<string>",
"system": "<string>",
"value": "<string>",
"use": "<string>",
"period": {
"id": "<string>",
"start": "<string>",
"end": "<string>"
}
}
],
"source": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
},
"contained": {}
}{
"message": "<string>",
"details": "<array>",
"additionalContext": {}
}{
"message": "<string>",
"details": "<array>",
"additionalContext": {}
}{
"message": "<string>",
"details": "<array>",
"additionalContext": {}
}Resources
Get a contain resource from the registry
Get a contain resource from the registry.
GET
/
sources
/
{sourceKey}
/
v1
/
resources
/
{resourceType}
/
{id}
/
{containKey}
/
{containedResourceId}
Get a contain resource from the registry
Authorizations
apiKeybasicHttpAuthbearerHttpAuth
Path Parameters
The key of the source.
Type of the resource. Key of the profile.
Id of the resource.
Key of the contained resource. This is the key of the profile that defines the contained resource type.
Id of the contained resource.
Response
The contained resource with the given id.
Type of the resource.
Show child attributes
Show child attributes
Resources contained in this top-level resource. Contained resources exists only within the context of this top-level resource.
Show child attributes
Show child attributes
Was this page helpful?
⌘I